package com.cpp.web.service.overhaulplan;

import com.baomidou.mybatisplus.core.conditions.query.QueryWrapper;
import com.baomidou.mybatisplus.extension.service.IService;
import com.cpp.web.domain.overhaulplan.OverhaulPlanRecords;

import java.util.Date;
import java.util.List;

/**
 * cpp_overhaul_plan_records
 *
 * @author fxy
 * @date 2024-10-08 9:47:33
 */
public interface OverhaulPlanRecordsService extends IService<OverhaulPlanRecords> {

    QueryWrapper<OverhaulPlanRecords> getByStationCode(String stationCode);


    List findByOpId(Long opId);

    List findByStationCodeAndCreatTimeBetween(String stationCode,Date startTime,Date endTime);

}
